package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringDangerous;
import com.ruoyi.zdsz.domain.vo.ZEngineeringDangerousVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringDangerousBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 危险工程Service接口
 *
 * @author ruoyi
 * @date 2024-01-02
 */
public interface IZEngineeringDangerousService {

    /**
     * 查询危险工程
     */
    ZEngineeringDangerousVo query(String id) ;
    boolean review(ZEngineeringDangerousBo zEngineeringDangerousBo) ;

    /**
     * 查询危险工程列表
     */
    TableDataInfo<ZEngineeringDangerousVo> queryPageList(ZEngineeringDangerousBo bo, PageQuery pageQuery);



    /**
     * 查询危险工程列表
     */
    List<ZEngineeringDangerousVo> queryList(ZEngineeringDangerousBo bo);

    /**
     * 新增危险工程
     */

    Boolean insert (ZEngineeringDangerousBo bo);

    /**
     * 修改危险工程
     */

    Boolean update(ZEngineeringDangerousBo bo);

    /**
     * 校验并批量删除危险工程信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    ZEngineeringDangerousVo queryEngineeringDangerous(String id);


    /**
     * 查询危险工程(无节点)
     */
    ZEngineeringDangerousVo queryById(String id);



    /**
     * 新增危险工程(无节点)
     */
    Boolean insertByBo(ZEngineeringDangerousBo bo);

    /**
     * 修改危险工程(无节点)
     */
    Boolean updateByBo(ZEngineeringDangerousBo bo);

    /**
     * 查询工程名称和id
     */
   List<Map<String, Object>> selectEnginNameAndId(ZEngineeringDangerousBo bo);

}
